# Update Deal financing terms

`PATCH /deals/{deal_id}/terms/`

Patch financing details with the current revision. Omitted fields stay unchanged. equipment_entries replaces the complete equipment list; [] clears it. Application answers and lifecycle decisions use their own operations.

Base URL: https://api.levr.ai/v1

Authentication: Bearer — Portal API key

[REST guide](https://docs.levr.ai/rest-api.md) · [OpenAPI specification](https://docs.levr.ai/generated/openapi.json)

## Parameters

### deal_id (path)

Type: string. Required: yes.

Schema:



```json
{
  "pattern": "^deal_[a-z0-9]+$",
  "type": "string"
}
```

### If-Match (header)

Type: string. Required: yes.

Schema:



```json
{
  "pattern": "^\"?[0-9]+\"?$",
  "type": "string"
}
```

### Idempotency-Key (header)

Type: string. Required: yes.

Schema:



```json
{
  "maxLength": 255,
  "minLength": 1,
  "type": "string"
}
```

## Request body

Content type: application/json. Required: yes.

Send a body that matches the published schema.

### Schema



```json
{
  "additionalProperties": false,
  "minProperties": 1,
  "properties": {
    "actual_interest_rate": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "additional_notes": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "advance_rate_percent": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "advisory_fee_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "advisory_fee_percent": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "buy_rate": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "commission_actual_payment_date": {
      "anyOf": [
        {
          "format": "date",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "commission_notes": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "commission_status": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "currency": {
      "anyOf": [
        {
          "pattern": "^[A-Za-z]{3}$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "deal_length_interval": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "deal_length_value": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ]
    },
    "deal_revenue": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "deal_status": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "deal_type": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "disbursed_date": {
      "anyOf": [
        {
          "format": "date",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "equipment_entries": {
      "description": "The complete equipment list. Replaces the existing list when supplied; [] clears it.",
      "items": {
        "additionalProperties": false,
        "properties": {
          "equipment_condition": {
            "anyOf": [
              {
                "maxLength": 255,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_description": {
            "anyOf": [
              {
                "maxLength": 10000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_manufacturer_make_model": {
            "anyOf": [
              {
                "maxLength": 10000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_structure": {
            "anyOf": [
              {
                "maxLength": 10000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_type": {
            "anyOf": [
              {
                "maxLength": 255,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_value_or_cost": {
            "anyOf": [
              {
                "pattern": "^[0-9]{1,10}(?:\\.[0-9]{1,2})?$",
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "equipment_vendor_or_supplier": {
            "anyOf": [
              {
                "maxLength": 10000,
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "position": {
            "minimum": 0,
            "type": "integer"
          }
        },
        "type": "object"
      },
      "maxItems": 100,
      "type": "array"
    },
    "factor_rate": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "financing_type": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "funded_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "is_stacked_deal": {
      "anyOf": [
        {
          "type": "boolean"
        },
        {
          "type": "null"
        }
      ]
    },
    "is_syndication": {
      "anyOf": [
        {
          "type": "boolean"
        },
        {
          "type": "null"
        }
      ]
    },
    "maturity_date": {
      "anyOf": [
        {
          "format": "date",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "net_funded_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "not_applicable_fields": {
      "items": {
        "type": "string"
      },
      "maxItems": 64,
      "type": "array"
    },
    "notes_to_accounting": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "nr_payments": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ]
    },
    "offered_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "origination_fee_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "origination_fee_percent": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "other_fee": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "other_fee_description": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "payment_frequency_interval": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "processing_fee": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "property_loan_to_value": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "property_type": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "property_use": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "property_value": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "proposed_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "real_estate_property_address": {
      "anyOf": [
        {
          "maxProperties": 64,
          "type": "object"
        },
        {
          "type": "null"
        }
      ]
    },
    "renewal_followup_date": {
      "anyOf": [
        {
          "format": "date",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "repayment_holdback_percentage": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "repayment_payment_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "requested_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "sell_rate": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "stacked_with": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "syndication_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "syndication_percent": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "target_interest_rate": {
      "anyOf": [
        {
          "maxLength": 10000,
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "total_repayment_amount": {
      "anyOf": [
        {
          "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "type": "object"
}
```

### Example



```json
{
  "currency": "CAD"
}
```

## Example request

```sh
curl --request PATCH \
  --url "https://api.levr.ai/v1/deals/$DEAL_ID/terms/" \
  --header "Authorization: Bearer $LEVR_API_KEY" \
  --header "If-Match: $IF_MATCH" \
  --header "Idempotency-Key: $IDEMPOTENCY_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "currency": "CAD"
}'
```

## Responses

### 200

Successful response.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "deal": {
      "type": "object"
    },
    "object": {
      "const": "deal_terms",
      "type": "string"
    },
    "revision": {
      "minimum": 0,
      "type": "integer"
    },
    "terms": {
      "additionalProperties": false,
      "properties": {
        "actual_interest_rate": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "additional_notes": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "advance_rate_percent": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "advisory_fee_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "advisory_fee_percent": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "buy_rate": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "commission_actual_payment_date": {
          "anyOf": [
            {
              "format": "date",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "commission_notes": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "commission_status": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "currency": {
          "anyOf": [
            {
              "pattern": "^[A-Za-z]{3}$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deal_length_interval": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deal_length_value": {
          "anyOf": [
            {
              "type": "integer"
            },
            {
              "type": "null"
            }
          ]
        },
        "deal_revenue": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deal_status": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "deal_type": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "disbursed_date": {
          "anyOf": [
            {
              "format": "date",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "equipment_entries": {
          "description": "The complete equipment list. Replaces the existing list when supplied; [] clears it.",
          "items": {
            "additionalProperties": false,
            "properties": {
              "equipment_condition": {
                "anyOf": [
                  {
                    "maxLength": 255,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_description": {
                "anyOf": [
                  {
                    "maxLength": 10000,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_manufacturer_make_model": {
                "anyOf": [
                  {
                    "maxLength": 10000,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_structure": {
                "anyOf": [
                  {
                    "maxLength": 10000,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_type": {
                "anyOf": [
                  {
                    "maxLength": 255,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_value_or_cost": {
                "anyOf": [
                  {
                    "pattern": "^[0-9]{1,10}(?:\\.[0-9]{1,2})?$",
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "equipment_vendor_or_supplier": {
                "anyOf": [
                  {
                    "maxLength": 10000,
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "position": {
                "minimum": 0,
                "type": "integer"
              }
            },
            "type": "object"
          },
          "maxItems": 100,
          "type": "array"
        },
        "factor_rate": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "financing_type": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "funded_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "is_stacked_deal": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ]
        },
        "is_syndication": {
          "anyOf": [
            {
              "type": "boolean"
            },
            {
              "type": "null"
            }
          ]
        },
        "maturity_date": {
          "anyOf": [
            {
              "format": "date",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "net_funded_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "not_applicable_fields": {
          "items": {
            "type": "string"
          },
          "maxItems": 64,
          "type": "array"
        },
        "notes_to_accounting": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "nr_payments": {
          "anyOf": [
            {
              "type": "integer"
            },
            {
              "type": "null"
            }
          ]
        },
        "offered_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "origination_fee_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "origination_fee_percent": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "other_fee": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "other_fee_description": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "payment_frequency_interval": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "processing_fee": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "property_loan_to_value": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "property_type": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "property_use": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "property_value": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "proposed_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "real_estate_property_address": {
          "anyOf": [
            {
              "maxProperties": 64,
              "type": "object"
            },
            {
              "type": "null"
            }
          ]
        },
        "renewal_followup_date": {
          "anyOf": [
            {
              "format": "date",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "repayment_holdback_percentage": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "repayment_payment_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "requested_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "sell_rate": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "stacked_with": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "syndication_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "syndication_percent": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "target_interest_rate": {
          "anyOf": [
            {
              "maxLength": 10000,
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "total_repayment_amount": {
          "anyOf": [
            {
              "pattern": "^-?[0-9]{1,12}(?:\\.[0-9]{1,3})?$",
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        }
      },
      "type": "object"
    }
  },
  "required": [
    "object",
    "deal",
    "revision",
    "terms"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "deal": {},
  "object": "deal_terms",
  "revision": 3,
  "terms": {}
}
```

### 400

Correct the request fields and try again.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "invalid_request",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "Correct the request fields and try again.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "invalid_request_error"
  }
}
```

### 401

Provide a valid API key and try again.

#### Response headers



```json
{
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "invalid_api_key",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "Provide a valid API key and try again.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "authentication_error"
  }
}
```

### 403

This API key does not allow the requested action.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "permission_denied",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "This API key does not allow this action.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "permission_error"
  }
}
```

### 404

The requested resource was not found or is not available to this API key.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "not_found",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "The requested resource was not found.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "invalid_request_error"
  }
}
```

### 409

The request conflicts with the resource's current state. Refresh it before trying again.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "conflict",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "The request conflicts with the current resource state.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "conflict_error"
  }
}
```

### 412

The request was not completed.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "precondition_failed",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "Refresh the resource and try again.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "invalid_request_error"
  }
}
```

### 429

Too many requests were sent. Wait before trying again.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  },
  "Retry-After": {
    "description": "Minimum seconds to wait before retrying.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "rate_limited",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "Wait before sending another request.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "rate_limit_error"
  }
}
```

### 500

Levr could not complete the request. Keep the request ID and retry when safe.

#### Response headers



```json
{
  "RateLimit-Limit": {
    "description": "Maximum requests in the effective fixed quota window.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "RateLimit-Remaining": {
    "description": "Requests remaining in the effective quota window.",
    "schema": {
      "minimum": 0,
      "type": "integer"
    }
  },
  "RateLimit-Reset": {
    "description": "Seconds until the effective quota window resets.",
    "schema": {
      "minimum": 1,
      "type": "integer"
    }
  },
  "Request-Id": {
    "description": "Server-generated request identifier for support and event correlation.",
    "schema": {
      "pattern": "^req_[a-z0-9]+$",
      "type": "string"
    }
  }
}
```

Content type: application/json

#### Schema



```json
{
  "additionalProperties": false,
  "properties": {
    "error": {
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string"
        },
        "details": {
          "items": {
            "additionalProperties": false,
            "properties": {
              "code": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "pointer": {
                "type": "string"
              }
            },
            "required": [
              "pointer",
              "code",
              "message"
            ],
            "type": "object"
          },
          "type": "array"
        },
        "documentation_url": {
          "format": "uri",
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "request_id": {
          "pattern": "^req_[a-z0-9]+$",
          "type": "string"
        },
        "type": {
          "enum": [
            "api_error",
            "authentication_error",
            "conflict_error",
            "idempotency_error",
            "invalid_request_error",
            "permission_error",
            "rate_limit_error"
          ],
          "type": "string"
        }
      },
      "required": [
        "type",
        "code",
        "message",
        "details",
        "request_id",
        "documentation_url"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

#### Example

Illustrative data. Use the identifiers, cursors, and URLs returned by your requests.



```json
{
  "error": {
    "code": "internal_error",
    "details": [],
    "documentation_url": "https://docs.levr.ai/rest-api-reference/deals/update-deal-terms/",
    "message": "Retry the request, then contact support if it fails again.",
    "request_id": "req_2m8q7c9k4x6p3n5d",
    "type": "api_error"
  }
}
```
